Get job by ID
Returns job details by job ID. If job is not found empty result is returned.
get/jobs
Authorizations
api_keystringRequired
Coin Metrics API key can be specified as ?api_key= query parameter.
Query parameters
idsstringRequired
Job identifier.
prettybooleanOptionalDefault:
Human-readable formatting of JSON responses.
falseinclude_warningsbooleanOptionalDefault:
Flag to include warnings generated by job execution in the response.
falseResponses
200
Jobs details.
application/json
401
Requested resource requires authorization.
application/json
403
Requested resource is not available with supplied credentials.
application/json
get/jobs
# Gets job details by ID
curl --compressed "https://api.coinmetrics.io/v4/jobs?ids=ZjRjZDE2N2EtYzljYy00MjQ5LTk4ZWYtOTlkZDljZTE1ZDU3OjgzNTZkODQyLTA5ODMtNGM2NC1hMGE5LWY5MzBhZTMxODFiZg&api_key=<your_key>"
{
"data": [
{
"id": "ZjRjZDE2N2EtYzljYy00MjQ5LTk4ZWYtOTlkZDljZTE1ZDU3OjgzNTZkODQyLTA5ODMtNGM2NC1hMGE5LWY5MzBhZTMxODFiZg",
"status": "completed",
"results": [
{
"url": "https://async-job-results-0000.coinmetrics.io/6e88ba1c-3c92-4e76-bb11-0a99eecf8956.gz"
}
],
"creation_time": "2023-01-04T00:00:00.000000000Z",
"completion_time": "2023-01-05T00:00:00.000000000Z",
"expiration_time": "2023-01-06T00:00:00.000000000Z"
}
]
}Last updated

